import { EnumSaleMode } from "@/common/Enumerate"
import { FC } from "react"
import Tag, { TagSize } from "../tag"

interface SaleModeProps {
  saleMode: number
  size?: TagSize
  children?: React.ReactNode
}

const SaleModeTag: FC<SaleModeProps> = (props) => {
  const { saleMode, size = 'small' } = props
  return (
    <>
      {saleMode === EnumSaleMode.Bulk && (
        <Tag circle type='primary' plain size={size}>
          大货
        </Tag>
      )}
      {saleMode === EnumSaleMode.Plate && (
        <Tag circle type='danger' plain size={size}>
          剪板
        </Tag>
      )}
      {saleMode === EnumSaleMode.BulkCut && (
        <Tag circle type='warning' plain size={size}>
          散剪
        </Tag>
      )}
    </>
  )
}
export default SaleModeTag
